주요글: 도커 시작하기

안드로이드 스튜디오 1.5.1(다운로드 파일 기준 android-studio-bundle-141.2456560-windows)를 설치하고 간단한 프로젝트를 만든 뒤 AVD를 실행하는데 아래와 같은 오류 메시지가 나왔다.



Android SDK 메뉴에서 설치된 버전을 확인해보니 6.0.1이다. 버전이 맞는데 업데이트를 하라는 에러 메시지가 나와 당황스럽다.



구글링을 해 보고 답을 찾았다. 먼저 명령 프롬프트를 열고 C:\Users\계정\AppData\Local\Android\sdk\extras\intel\Hardware_Accelerated_Execution_Manager 폴더로 이동한다. 이 폴더에 보면 slient_install.bat 파일이 있는데 -v 옵션을 사용해서 버전을 확인한다. AVD를 실행할 때 나온 그 버전이 나오는 것을 알 수 있다.



C:\Users\...\Hardware_Accelerated_Execution_Manager>silent_install.bat -v

1.1.1


-u 옵션으로 언이스톨하고 slient_install.bat을 실행해서 새로 설치한다.


C:\Users\...\Hardware_Accelerated_Execution_Manager>silent_install.bat -u

Intel HAXM uninstalled successfully!


C:\Users\...\Hardware_Accelerated_Execution_Manager>silent_install.bat

Intel HAXM installed successfully!


그리고 다시 버전을 확인해 보면 최신 버전으로 바뀐 걸 알 수 있다.


C:\Users\...\Hardware_Accelerated_Execution_Manager>silent_install.bat -v

6.0.1


이제 AVD를 실행해보자. 정상 실행되는 것을 확인할 수 있다.






  1. 누아니 2016.09.03 22:50 신고

    [CPU acceleration status: HAXM must be updated (version 1.1.1 < 6.0.1).] 소중한 정보에 감사드립니다. 덕분에 문제를 해결했습니다.

  2. 지나가는공대생 2016.09.08 01:20

    정말감사합니다!!!!! 큰도움이됬어요!!!!!

  3. 지나가는공대생 2016.09.08 01:21

    아 명령크롬프트 저렇게 하는방법은 저기 경로들어가서 shift+마우스오른쪽클릭해서 명령창 실행하기 하면 자동으로 저런 경로로 떠져요~ 혹시나 다른 문제있으실분들을 위해 남겨둡니다.

+ Recent posts